Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class drop_event

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.drop_intention
              jason.stdlib.drop_desire
                  jason.stdlib.drop_event

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class drop_event

extends drop_desire

Internal action: `.drop_event(D)`.

Description: removes events D from the agent circumstance. This internal action simply removes all +!D entries (those for which `.desire(D)` would succeed) from the set of events only; this action is complementary to `.drop_desire` and `.drop_intention`, in case a goal is to be removed only from the set of events and not from the set of intentions. No event is produced as a consequence of dropping desires from the set of events.

Example:

- `.drop_event(go(X,Y))`: removes events such as `<+!go(1,3),_>` from the set of events.

See Also:
  `current_intention`, `desire`, `drop_all_desires`, `drop_all_events`, `drop_all_intentions`, `drop_intention`, `drop_desire`, `succeed_goal`, `fail_goal`, `intend`, Serialized Form

Constructor Summary
`drop_event()`

Method Summary
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.

Methods inherited from class jason.stdlib.drop_desire
`dropEvt`

Methods inherited from class jason.stdlib.drop_intention
`checkArguments, dropInt, getMaxArgs, getMinArgs`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### drop_event

    public drop_event()

Method Detail

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `drop_desire`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD